<?php

/*********************************************************************

 アルバムタグクラウド表示プラグイン (2014/08/03)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_end_album_tagcloud()
{
	global $freo;

	//アルバムタグ取得
	$stmt = $freo->pdo->query('SELECT id, tag FROM ' . FREO_DATABASE_PREFIX . 'plugin_albums WHERE tag IS NOT NULL');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	$album_tags = array();
	while ($data = $stmt->fetch(PDO::FETCH_ASSOC)) {
		foreach (explode(',', $data['tag']) as $tag) {
			if ($tag == '') {
				continue;
			}

			if (isset($album_tags[$tag])) {
				$album_tags[$tag]++;
			} else {
				$album_tags[$tag] = 1;
			}
		}
	}

	ksort($album_tags, SORT_STRING);

	$data = '';
	foreach ($album_tags as $tag => $count) {
		$data .= "$tag,$count\n";
	}

	//アルバムタグ情報更新
	if (file_put_contents(FREO_FILE_DIR . 'plugins/album_tagcloud.log', $data) === false) {
		freo_error('アルバムタグ情報保存ファイル ' . FREO_FILE_DIR . 'plugins/album_tagcloud.log に書き込めません。');
	}

	return;
}

?>
